org.apache.tinkerpop.gremlin.structure.io.gryo

## Class ToyPoint.ToyPointJacksonSerializer

- java.lang.Object
- - org.apache.tinkerpop.shaded.jackson.databind.JsonSerializer<T>
  - - org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdSerializer<T>
    - - org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdScalarSerializer<ToyPoint>
      - - org.apache.tinkerpop.gremlin.structure.io.gryo.ToyPoint.ToyPointJacksonSerializer

- All Implemented Interfaces:
    Serializable, org.apache.tinkerpop.shaded.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, org.apache.tinkerpop.shaded.jackson.databind.jsonschema.SchemaAware
  Enclosing class:
    ToyPoint

      public static class ToyPoint.ToyPointJacksonSerializer
      extends org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdScalarSerializer<ToyPoint>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.shaded.jackson.databind.JsonSerializer

      `org.apache.tinkerpop.shaded.jackson.databind.JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToyPointJacksonSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(ToyPoint toyPoint, org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator, org.apache.tinkerpop.shaded.jackson.databind.SerializerProvider serializerProvider)`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdScalarSerializer

      `acceptJsonFormatVisitor, getSchema, serializeWithType`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdSerializer

      `_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.JsonSerializer

      `getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToyPointJacksonSerializer

          public ToyPointJacksonSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(ToyPoint toyPoint,
                                org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator,
                                org.apache.tinkerpop.shaded.jackson.databind.SerializerProvider serializerProvider)
                         throws IOException,
                                org.apache.tinkerpop.shaded.jackson.core.JsonGenerationException

      Specified by:
        `serialize` in class `org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdSerializer<ToyPoint>`
      Throws:
        `IOException`
        `org.apache.tinkerpop.shaded.jackson.core.JsonGenerationException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.